package com.winhc.data.utils;

/**
 * @author π
 * @Description:
 * @date 2023/5/30 17:54
 */
public class Common {
    public static final String CREATE_SQL = "INSERT INTO pull_data_status (id,create_time,update_time,status)\n" +
            "VALUES (@ds , now() , now(), @status)\n" +
            "ON DUPLICATE KEY UPDATE create_time = VALUES(create_time) , status = VALUES(status)";

    public static final String UPDATE_SQL = "INSERT INTO pull_data_status (id,create_time,update_time,status)\n" +
            "VALUES (@ds , now() , now(), @status)\n" +
            "ON DUPLICATE KEY UPDATE update_time = VALUES(update_time), status = VALUES(status)";

    public static final String STATUS_PRE = "data/sj/status/" + EnvConst.getValue("profile.activate") + "/";
    public static final String FILE_PRE = "data/sj/file/";
    public static final String STATUS_SUCCESS_SUFFIX = ".success";
    public static final String STATUS_UPLOAD_SUFFIX = ".upload";
    public static final String FILE_UPLOAD_SUFFIX = ".json";
}
